[#]: collector: (lujun9972)
[#]: translator: (bodhix)
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How To Enable (UP) And Disable (DOWN) A Network Interface Port (NIC) In Linux?)
[#]: via: (https://www.2daygeek.com/enable-disable-up-down-nic-network-interface-port-linux-using-ifconfig-ifdown-ifup-ip-nmcli-nmtui/)
[#]: author: (Magesh Maruthamuthu https://www.2daygeek.com/author/magesh/)

Linux 中如何启用禁用网口？
======

You may need to run these commands based on your requirements.

I can tell you few examples, where you would be needed this.

当你添加一个网卡或者从一个物理网口创建出一个虚拟网口的时候，你可能需要使用这些命令将新网口启用起来。

Also, if you made any changes or if it’s down then you need to run one of the below commands to bring them up.

It can be done on many ways and we would like to add best five method which we used in the article.

It can be done using the below five methods.

  * **`ifconfig 命令：`** ifconfig 命令用于配置网口。 它可以提供网口的很多信息。
  * **`ifdown/up 命令：`** ifdown 命令用于禁用网口，ifup 命令用于启用网口。
  * **`ip 命令：`** ip 命令用于管理网口，用于替代老的、不推荐使用的 ifconfig 命令。它和 ifconfig 命令很相似，但是提供了很多 ifconfig 命令不具有的强大的特性。
  * **`nmcli 命令：`** nmcli 是一个控制 NetworkManager 并报告网络状态的命令行工具。
  * **`nmtui 命令：`** nmtui 是一个与 NetworkManager 交互的、基于 curses 图形库的终端 UI 应用。



以下显示的是我的 Linux 系统中可用网口的信息。

```
# ip a
1: lo:  mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enp0s3:  mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 08:00:27:c2:e4:e8 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.4/24 brd 192.168.1.255 scope global dynamic noprefixroute enp0s3
       valid_lft 86049sec preferred_lft 86049sec
    inet6 fe80::3899:270f:ae38:b433/64 scope link noprefixroute
       valid_lft forever preferred_lft forever
3: enp0s8:  mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 08:00:27:30:5d:52 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.3/24 brd 192.168.1.255 scope global dynamic noprefixroute enp0s8
       valid_lft 86049sec preferred_lft 86049sec
    inet6 fe80::32b7:8727:bdf2:2f3/64 scope link noprefixroute
       valid_lft forever preferred_lft forever
```

### 1) 如何使用 ifconfig 命令启用禁用网口？

ifconfig 命令用于配置网口。

系统启动过程中如果需要启用网口，调用的命令就是 ifconfig。它可以提供很多网口的信息。不管我们想修改网口的什么配置，都可以使用该命令。

ifconfig 的常用语法：

```
# ifconfig [NIC_NAME] Down/Up
```

执行以下命令禁用 `enp0s3` 网口。注意，这里你需要输入你自己的网口名字。
```
# ifconfig enp0s3 down
```

现在，从以下输出结果可以看到网口已经被禁用了。

```
# ip a | grep -A 1 "enp0s3:"
2: enp0s3:  mtu 1500 qdisc fq_codel state DOWN group default qlen 1000
    link/ether 08:00:27:c2:e4:e8 brd ff:ff:ff:ff:ff:ff
```

执行以下命令启用 `enp0s3` 网口。

```
# ifconfig enp0s3 up
```

现在，从以下输出结果可以看到网口已经启用了。

```
# ip a | grep -A 5 "enp0s3:"
2: enp0s3:  mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 08:00:27:c2:e4:e8 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.4/24 brd 192.168.1.255 scope global dynamic noprefixroute enp0s3
       valid_lft 86294sec preferred_lft 86294sec
    inet6 fe80::3899:270f:ae38:b433/64 scope link noprefixroute
       valid_lft forever preferred_lft forever
```

### 2) 如何使用 ifdown/up 命令启用禁用网口？

ifdown 命令用于禁用网口，ifup 命令用于启用网口。

**注意：** 这两个命令不支持以 `enpXXX` 命名的新的网络设备。

ifdown/ifup 的常用语法：

```
# ifdown [NIC_NAME]

# ifup [NIC_NAME]
```

执行以下命令禁用 `eth1` 网口。

```
# ifdown eth0
```

从以下输出结果可以看到网口已经被禁用了。

```
# ip a | grep -A 3 "eth1:"
3: eth1:  mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 08:00:27:d5:a0:18 brd ff:ff:ff:ff:ff:ff
```

执行以下命令启用 `eth1` 网口。

```
# ifup eth0
```

从以下输出结果可以看到网口已经启用了。

```
# ip a | grep -A 5 "eth1:"
3: eth1:  mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 08:00:27:d5:a0:18 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.7/24 brd 192.168.1.255 scope global eth1
    inet6 fe80::a00:27ff:fed5:a018/64 scope link tentative dadfailed
       valid_lft forever preferred_lft forever
```

ifup 和 ifdown 不支持以 `enpXXX` 命名的新的网口。当我执行该命令的时候得到的结果如下：

```
# ifdown enp0s8
Unknown interface enp0s8
```

### 3) 如何使用 ip 命令启用禁用网口？

ip 命令用于管理网口，用于替代老的、不推荐使用的 ifconfig 命令。

它和 ifconfig 命令很相似，但是提供了很多 ifconfig 命令不具有的强大的特性。

ip 的常用语法：

```
# ip link set  Down/Up
```

执行以下命令禁用 `enp0s3` 网口。

```
# ip link set enp0s3 down
```

从以下输出结果可以看到网口已经被禁用了。

```
# ip a | grep -A 1 "enp0s3:"
2: enp0s3:  mtu 1500 qdisc fq_codel state DOWN group default qlen 1000
    link/ether 08:00:27:c2:e4:e8 brd ff:ff:ff:ff:ff:ff
```

执行以下命令启用 `enp0s3` 网口。

```
# ip link set enp0s3 up
```

从以下输出结果可以看到网口已经启用了。

```
# ip a | grep -A 5 "enp0s3:"
2: enp0s3:  mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 08:00:27:c2:e4:e8 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.4/24 brd 192.168.1.255 scope global dynamic noprefixroute enp0s3
       valid_lft 86294sec preferred_lft 86294sec
    inet6 fe80::3899:270f:ae38:b433/64 scope link noprefixroute
       valid_lft forever preferred_lft forever
```

### 4) 如何使用 nmcli 命令启用禁用网口？

nmcli 是一个控制 NetworkManager 并报告网络状态的命令行工具。

它可以用做 nm-applet 或者其他图形化客户端的替代品。 nmcli 可以用于展示、创建、修改、删除、启用和停用网络连接。除此之后，还可以用来管理和展示网络设备状态。

Run the following command to identify the interface name because nmcli command is perform most of the task using `profile name` instead of `device name`.

```
# nmcli con show
NAME                UUID                                  TYPE      DEVICE
Wired connection 1  3d5afa0a-419a-3d1a-93e6-889ce9c6a18c  ethernet  enp0s3
Wired connection 2  a22154b7-4cc4-3756-9d8d-da5a4318e146  ethernet  enp0s8
```

nmcli 的常用语法：

```
# nmcli con  Down/Up
```

Run the following command to bring down the `enp0s3` interface in Linux. You have to give `profile name` instead of `device name` to bring down it.

```
# nmcli con down 'Wired connection 1'
Connection 'Wired connection 1' successfully deactivated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/6)
```

Yes, the given interface is down now as per the following output.

```
# nmcli dev status
DEVICE  TYPE      STATE         CONNECTION
enp0s8  ethernet  connected     Wired connection 2
enp0s3  ethernet  disconnected  --
lo      loopback  unmanaged     --
```

Run the following command to bring down the `enp0s3` interface in Linux. You have to give `profile name` instead of `device name` to bring down it.

```
# nmcli con up 'Wired connection 1'
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/7)
```

Yes, the given interface is up now as per the following output.

```
# nmcli dev status
DEVICE  TYPE      STATE      CONNECTION
enp0s8  ethernet  connected  Wired connection 2
enp0s3  ethernet  connected  Wired connection 1
lo      loopback  unmanaged  --
```

### 5) 如何使用 nmtui 命令启用禁用网口？

nmtui 是一个与 NetworkManager 交互的、基于 curses 图形库的终端 UI 应用。

When starting nmtui, the user is prompted to choose the activity to perform unless it was specified as the first argument.

Run the following command launch the nmtui interface. Select “Active a connection” and hit “OK”

```
# nmtui
```

[![][1]![][1]][2]

选择你要禁用的网口，然后点击 “Deactivate” 按钮。
[![][1]![][1]][3]

For activation do the same above procedure.
[![][1]![][1]][4]

--------------------------------------------------------------------------------

via: https://www.2daygeek.com/enable-disable-up-down-nic-network-interface-port-linux-using-ifconfig-ifdown-ifup-ip-nmcli-nmtui/

作者：[Magesh Maruthamuthu][a]
选题：[lujun9972][b]
译者：[bodhix](https://github.com/bodhix)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.2daygeek.com/author/magesh/
[b]: https://github.com/lujun9972
[1]: data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7
[2]: https://www.2daygeek.com/wp-content/uploads/2019/04/enable-disable-up-down-nic-network-interface-port-linux-nmtui-1.png
[3]: https://www.2daygeek.com/wp-content/uploads/2019/04/enable-disable-up-down-nic-network-interface-port-linux-nmtui-2.png
[4]: https://www.2daygeek.com/wp-content/uploads/2019/04/enable-disable-up-down-nic-network-interface-port-linux-nmtui-3.png
