[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (4 open source apps for plant-based diets)
[#]: via: (https://opensource.com/article/19/4/apps-plant-based-diets)
[#]: author: (Joshua Allen Holm  https://opensource.com/users/holmja)

4 open source apps for plant-based diets
======
These apps make it easier for vegetarians and vegans—and omnivores who
want to eat healthier—to find food they can eat.
![][1]

Reducing your consumption of meat, dairy, and processed foods is better for the planet and better for your health. Changing your diet can be difficult, but several open source Android applications can help you switch to a more plant-based diet. Whether you are taking part in [Meatless Monday][2], following Mark Bittman's [Vegan Before 6:00][3] guidelines, or switching entirely to a [whole-food, plant-based diet][4], these apps can aid you on your journey by helping you figure out what to eat, discover vegan- and vegetarian-friendly restaurants, and easily communicate your dietary preferences to others. All of these apps are open source and available from the [F-Droid repository][5].

### Daily Dozen

![Daily Dozen app][6]

The [Daily Dozen][7] app provides a checklist of items that Michael Greger, MD, FACLM, recommends as part of a healthy diet and lifestyle. Dr. Greger recommends consuming a whole-food, plant-based diet consisting of diverse foods and supported by daily exercise. This app lets you keep track of how many servings of each type of food you have eaten, how many servings of water (or other approved beverage, such as tea) you drank, and if you exercised each day. Each category of food provides serving sizes and lists of foods that fall under that category; for example, the Cruciferous Vegetable category includes bok choy, broccoli, brussels sprouts, and many other suggestions.

### Food Restrictions

![Food Restrictions app][8]

[Food Restrictions][9] is a simple app that can help you communicate your dietary restrictions to others, even if those people do not speak your language. Users can enter their food restrictions for seven different categories: chicken, beef, pork, fish, cheese, milk, and peppers. There is an "I don't eat" and an "I'm allergic" option for each of those categories. The "don't eat" option shows the icon with a red X over it. The "allergic" option displays the X and a small skull icon. The same information can be displayed using text instead of icons, but the text is only available in English and Portuguese. There is also an option for displaying a text message that says the user is vegetarian or vegan, which summarizes those dietary restrictions more succinctly and more accurately than the pick-and-choose options. The vegan text clearly mentions not eating eggs and honey, which are not options in the pick-and-choose method. However, just like the text version of the pick-and-choose option, these sentences are only available in English and Portuguese.

### OpenFoodFacts

![Open Food Facts app][10]

Avoiding unwanted ingredients when buying groceries can be frustrating, but [OpenFoodFacts][11] can help make the process easier. This app lets you scan the barcodes on products to get a report about the ingredients in a product and how healthy the product is. A product can still be very unhealthy even if it meets the criteria to be a vegan product. Having both the ingredients list and the nutrition facts lets you make informed choices when shopping. The only drawback for this app is that the data is user contributed, so not every product is available, but you can contribute new items, if you want to give back to the project.

### OpenVegeMap

![OpenVegeMap app][12]

Find vegan and vegetarian restaurants in your neighborhood with the [OpenVegeMap][13] app. This app lets you search by either using your phone's current location or by entering an address. Restaurants are classified as Vegan only, Vegan friendly, Vegetarian only, Vegetarian friendly, Non-vegetarian, and Unknown. The app uses data from [OpenStreetMap][14] and user-contributed information about the restaurants, so be sure to double-check to make sure the information provided is up-to-date and accurate.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/4/apps-plant-based-diets

作者：[Joshua Allen Holm ][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/holmja
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/rh_003588_01_rd3os.combacktoschoolserieshe_rh_041x_0.png?itok=tfg6_I78
[2]: https://www.meatlessmonday.com/
[3]: https://www.amazon.com/dp/0385344740/
[4]: https://nutritionstudies.org/whole-food-plant-based-diet-guide/
[5]: https://f-droid.org/
[6]: https://opensource.com/sites/default/files/uploads/daily_dozen.png (Daily Dozen app)
[7]: https://f-droid.org/en/packages/org.nutritionfacts.dailydozen/
[8]: https://opensource.com/sites/default/files/uploads/food_restrictions.png (Food Restrictions app)
[9]: https://f-droid.org/en/packages/br.com.frs.foodrestrictions/
[10]: https://opensource.com/sites/default/files/uploads/openfoodfacts.png (Open Food Facts app)
[11]: https://f-droid.org/en/packages/openfoodfacts.github.scrachx.openfood/
[12]: https://opensource.com/sites/default/files/uploads/openvegmap.png (OpenVegeMap app)
[13]: https://f-droid.org/en/packages/pro.rudloff.openvegemap/
[14]: https://www.openstreetmap.org/
